List employee payrolls
GET/api/employee-payrolls
Required permissions:
- payroll.employees: allows view of employee payrolls.
Request
Query Parameters
- On a date
- Greater than
- Lower than
Possible values: <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field. This is in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Filter items updated on a date.
Example: 2024-01-01T20:00:00%2B02:00
Filter items updated after a date.
Example: gt:2024-01-01T20:00:00%2B02:00
Filter items updated before a date.
Example: lt:2024-01-01T20:00:00%2B02:00
The ID of the employee to filter the results on.
The ID of the business unit to filter the results on.
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of employee payrolls.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The ID of the employee
The ID of the business unit
The yearly cost of the employee payroll (excluding taxes)
The total taxes of the employee payroll
The start date of the employee payroll period
The end date of the employee payroll period
[
{
"id": 1,
"created_at": "2026-02-20T17:23:21.522Z",
"updated_at": "2026-02-20T17:23:21.522Z",
"employee_id": 1,
"business_unit_id": 1,
"cost": 12000,
"taxes": 10,
"from": "2025-01",
"to": "2025-12"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}